#include "Chat.h"

#include "Utils/ChatUtils.h"

auto Chat::onClient() -> void {
	if (clear) {
		for (int i = 0; i < 0xFF; i++) {
			Utils::Chat::display(_(""), Utils::Chat::Type::NONE);
		}

		clear = false;
	}


}

auto Chat::onUIControlGetPosition(UIControl* _this, glm::vec2* position) -> void {
	switch (style) {
	case 1:
		if (_this->getName() == _("chat_background")) {
			*position = glm::vec2(position->x, position->y + 60.f);
		}
	}
}
